cURL
curl --request GET \
--url https://api.simpu.co/otp/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.simpu.co/otp/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.simpu.co/otp/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "674535b2b39158b9aae90188fcec23eb",
"recipient": "2348023456789",
"status": 1,
"status_desc": "SENT",
"created_datetime": "2024-06-28T23:56:38.128604+00:00",
"updated_datetime": "2024-06-28T23:56:38.128604+00:00"
}{
"status": 200,
"message": "Invalid request",
"errors": [
{
"field": "name",
"message": "Error in field: 'name' Field required.",
"type": "missing"
}
]
}OTP
Get Token
Retrieve a single OTP based on the ID supplied
GET
/
otp
/
{id}
cURL
Authorizations
An API key to authenticate requests
Path Parameters
ID of OTP to retrieve
Response
OTP response
ID of the OTP token
Example:
"674535b2b39158b9aae90188fcec23eb"
Recipient of the OTP token
Example:
"2348023456789"
Status of the OTP token
Example:
1
Description of the status of the OTP token
Example:
"SENT"
Date and time the OTP token was created
Example:
"2024-06-28T23:56:38.128604+00:00"
Date and time the OTP token was last updated, if any
Example:
"2024-06-28T23:56:38.128604+00:00"